Name:          libwpe
Version:       1.16.2
Release:       1mamba
Summary:       General-purpose library specifically developed for the WPE-flavored port of WebKit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/WebPlatformForEmbedded/libwpe
## GITSOURCE https://github.com/WebPlatformForEmbedded/libwpe.git 1.6.0
Source:        https://github.com/WebPlatformForEmbedded/libwpe.git/%{version}/libwpe-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
General-purpose library specifically developed for the WPE-flavored port of WebKit.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libwpe-1.0.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/wpe-1.0
%dir %{_includedir}/wpe-1.0/wpe
%{_includedir}/wpe-1.0/wpe/*.h
%{_libdir}/libwpe-1.0.so
%{_libdir}/pkgconfig/wpe-1.0.pc
%doc NEWS

%changelog
* Sat Feb 08 2025 Automatic Build System <autodist@openmamba.org> 1.16.2-1mamba
- automatic version update by autodist

* Tue Jan 21 2025 Automatic Build System <autodist@openmamba.org> 1.16.1-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 1.16.0-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 1.14.2-1mamba
- automatic version update by autodist

* Sat Feb 04 2023 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Tue Sep 20 2022 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Thu Aug 25 2022 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Mon Aug 01 2022 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Fri Oct 01 2021 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Fri Sep 18 2020 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- package created using the webbuild interface
